%define mod_name Tie-IxHash
# comment out this to autofind of package requirements
# instead of manually specifing using "Requires" lines
AutoReqProv: no

Name:		perl-%{mod_name}
Version:	1.21
Release:	1fm
Summary:	Ordered associative arrays for Perl.
Group:		Applications/CPAN
License:	distributable
Packager:	S Yoder <computer AT flatmtn DOT com>
Vendor:		Gurusamy Sarathy
URL:		http://search.cpan.org/author/GSAR/
Source:		%{mod_name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}
BuildRequires:	perl >= 0:5.00503
Requires:	perl >= 0:5.00503
Provides:	perl(Tie::IxHash)
BuildArch:	noarch

%description
This Perl module implements Perl hashes that preserve
the order in which the hash elements were added. The
order is not affected when values corresponding to
existing keys in the IxHash are changed. The elements
can also be set to any arbitrary supplied order. The
familiar perl array operations can also be performed
on the IxHash.


%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{mod_name}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make


%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
make install


%clean
rm -rf $RPM_BUILD_ROOT


%files
# docs go to /usr/share/doc/[package-name]-[version]
%doc README Changes
/usr/lib/perl5/vendor_perl/5.8.0/Tie/IxHash.pm
/usr/share/man/man3/Tie::IxHash.3pm.gz


%changelog
* Sun Aug 31 2003 S Yoder <computer AT flatmtn DOT com> 4.37-1fm
- prepared spec file for RPM for RedHat 9.0 (shrike)
